AutoCad - pregunta LISP

   
Vista:

pregunta LISP

Publicado por leonardo (4 intervenciones) el 28/10/2010 15:19:47
Hola, mi pregunta es en programa LISP, resulta que nunca he logrado saber como obtener en una variable, el largo de una pololinea cualquiera, por ejemplo el comando list me entrega valores como grosor de la linea y el largo que yo necesito rescatar para utilizar, alguien sabe como lograr eso?, porfavor, he buscado la respuesta hace 1 año.....gracias a todos por la ayuda.

Atte. Leonardo
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:pregunta LISP

Publicado por Gerardo (443 intervenciones) el 02/11/2010 20:14:23
Hola

Lo mas sencillo es obtener el objeto VLA de la polilinea

(vl-load-com)
(setq objpoly (vlax-ename->vla-object (car (entsel "Polilinea"))))

Una vez que lo tienes puedes acceder directamente a su propiedad "length"

(if (vlax-property-available-p objpoly 'Length)
(setq tuvariable (vlax-get objpoly 'length))
)

o tambien puedes obtener el parametro final y por medio de este la longitud hasta ese parametro

(setq tuvariable (vlax-curve-getDistAtParam (vlax-curve-getEndParam objpoly)))

Para mas informacion puedes leer en la referencia de programacion del cad sobre las funciones vlax-... y claro, cualquier duda puedes continuar preguntando por aqui
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar